# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Refer to the [CONTRIBUTING guide](https://github.com/lightspeedretail/web-tools/blob/master/.github/CONTRIBUTING.md) for more info.

## 2.0.3 - 2022-04-26

- Version bump because lerna

## 2.0.2 - 2022-04-26

- Version bump because lerna

## 2.0.1 - 2022-04-26

- Version bump because lerna

## 2.0.0 - 2022-04-26

### Breaking

- Update tsconfig `target` to [es2017](https://caniuse.com/?search=es2017). ([#321](https://github.com/lightspeedretail/web-tools/pull/321))

## 1.2.0 - 2021-07-07

### Added

- Added support for TypeScript 4. ([#294](https://github.com/lightspeedretail/web-tools/pull/294))

## 1.1.2 - 2020-08-13

- Make `tsconfig.nest.json` settings strict, update readme. ([#253](https://github.com/lightspeedretail/web-tools/pull/254))

## 1.1.1 - 2020-08-13

- Version bump because lerna

## 1.1.0 - 2020-08-12

### Added

- Added `tsconfig.nest.json` for consistent Next.js TypeScript configurations. ([#253](https://github.com/lightspeedretail/web-tools/pull/253))

## 1.0.1 - 2019-12-16

### Added

- Add `allowJs` option as false since Next.js expects it explicitly declared or it will allow JS ([#218](https://github.com/lightspeedretail/web-tools/pull/218))

## 1.0.0 - 2019-10-17

### Breaking

- Remove (and disable) `allowJs` option ([#179](https://github.com/lightspeedretail/web-tools/pull/179))
- Rename `base.json` to `tsconfig.service.json` ([#179](https://github.com/lightspeedretail/web-tools/pull/179))

### Added

- Add Next.js default overrides options ([#179](https://github.com/lightspeedretail/web-tools/pull/179))
- Add `tsconfig.library.json` as a config to emit types ([#179](https://github.com/lightspeedretail/web-tools/pull/179))

## 0.3.1 - 2019-04-03

### Fixed

- Remove `@` from path aliasing, was not resolving properly for TypeScript paths ([#76](https://github.com/lightspeedretail/web-tools/pull/76))

## 0.3.0 - 2019-04-03

### Added

- Add `src` folder module resolving / path aliasing ([#75](https://github.com/lightspeedretail/web-tools/pull/75))

## 0.2.0 - 2019-03-08

### Added

- Enable `"strict": true` by default ([#62](https://github.com/lightspeedretail/web-tools/pull/62))

## 0.1.2 - 2019-02-08

### Added

- Add `resolveJsonModule: true` to the base typescript config to enable json imports ([#34](https://github.com/lightspeedretail/web-tools/pull/34))

## 0.1.1 - 2019-01-11

### Fixed

- Fix typos in documentation

## 0.1.0 - 2019-01-10

### Added

- Add TypeScript config ([#6](https://github.com/lightspeedretail/web-tools/pull/6))
